
set( artg4tk_VERSION 10.00.01 )
set( artg4tk_UPS_VERSION v10_00_01 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################



## find_library directives
find_ups_product( art  )
find_ups_product( canvas v1_06_00 )
find_ups_product( cppunit  )
find_ups_product( clhep  )
find_ups_product( cetlib_except  )
find_ups_product( cetlib v2_01_00 )
find_ups_boost( v1_50_0 )
find_ups_product( sqlite  )
find_ups_product( hep_concurrency  )
find_ups_product( tbb  )
  cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
  cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( fhiclcpp  )
find_ups_product( python  )
find_ups_product( messagefacility  )
find_ups_product( range  )
  cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
find_ups_product( art_root_io  )
find_ups_product( canvas_root_io  )
find_ups_root(  )
find_ups_product( geant4  )
find_ups_product( xerces_c v3_0_0 )
  cet_find_library( G4FR NAMES G4FR PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GMOCREN NAMES G4GMocren PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4OPENGL NAMES G4OpenGL PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4RAYTRACER NAMES G4RayTracer PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4TREE NAMES G4Tree PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VRML NAMES G4VRML PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4ANALYSIS NAMES G4analysis PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4DIGITS_HITS NAMES G4digits_hits PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4ERROR_PROPAGATION NAMES G4error_propagation PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4EVENT NAMES G4event PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GEOMETRY NAMES G4geometry PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GL2PS NAMES G4gl2ps PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GLOBAL NAMES G4global PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GRAPHICS_REPS NAMES G4graphics_reps PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4INTERCOMS NAMES G4intercoms PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4INTERFACES NAMES G4interfaces PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4MATERIALS NAMES G4materials PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4MODELING NAMES G4modeling PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PARMODELS NAMES G4parmodels PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PARTICLES NAMES G4particles PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PERSISTENCY NAMES G4persistency PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PHYSICSLISTS NAMES G4physicslists PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PROCESSES NAMES G4processes PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4READOUT NAMES G4readout PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4RUN NAMES G4run PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4TRACK NAMES G4track PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4TRACKING NAMES G4tracking PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VISHEPREP NAMES G4visHepRep PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VISXXX NAMES G4visXXX PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VIS_MANAGEMENT NAMES G4vis_management PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4ZLIB NAMES G4zlib PATHS ENV G4LIB NO_DEFAULT_PATH )
set(ARTG4TK_ACTIONBASE "$ENV{ARTG4TK_LIB}/libartg4tk_actionBase.so")
set(ARTG4TK_ANALYSIS_CHECKCALORIMETERHITS_MODULE "$ENV{ARTG4TK_LIB}/libartg4tk_Analysis_CheckCalorimeterHits_module.so")
set(ARTG4TK_ANALYSIS_CHECKDRCALORIMETERHITS_MODULE "$ENV{ARTG4TK_LIB}/libartg4tk_Analysis_CheckDRCalorimeterHits_module.so")
set(ARTG4TK_ANALYSIS_CHECKGENPARTICLE_MODULE "$ENV{ARTG4TK_LIB}/libartg4tk_Analysis_CheckGenParticle_module.so")
set(ARTG4TK_ANALYSIS_CHECKHITS_MODULE "$ENV{ARTG4TK_LIB}/libartg4tk_Analysis_CheckHits_module.so")
set(ARTG4TK_ANALYSIS_CHECKINTERACTIONS_MODULE "$ENV{ARTG4TK_LIB}/libartg4tk_Analysis_CheckInteractions_module.so")
set(ARTG4TK_ANALYSIS_CHECKPHOTONHITS_MODULE "$ENV{ARTG4TK_LIB}/libartg4tk_Analysis_CheckPhotonHits_module.so")
set(ARTG4TK_ANALYSIS_CHECKPROTONPRODUCTION_MODULE "$ENV{ARTG4TK_LIB}/libartg4tk_Analysis_CheckProtonProduction_module.so")
set(ARTG4TK_ANALYSIS_CHECKTRACKERHITS_MODULE "$ENV{ARTG4TK_LIB}/libartg4tk_Analysis_CheckTrackerHits_module.so")
set(ARTG4TK_CORE_ARTG4MAIN_MODULE "$ENV{ARTG4TK_LIB}/libartg4tk_Core_artg4Main_module.so")
set(ARTG4TK_DATAPRODUCTS_EVENTGENERATORS "$ENV{ARTG4TK_LIB}/libartg4tk_DataProducts_EventGenerators.so")
set(ARTG4TK_DATAPRODUCTS_EVENTGENERATORS_DICT "$ENV{ARTG4TK_LIB}/libartg4tk_DataProducts_EventGenerators_dict.so")
set(ARTG4TK_DATAPRODUCTS_G4DETECTORHITS "$ENV{ARTG4TK_LIB}/libartg4tk_DataProducts_G4DetectorHits.so")
set(ARTG4TK_DATAPRODUCTS_G4DETECTORHITS_DICT "$ENV{ARTG4TK_LIB}/libartg4tk_DataProducts_G4DetectorHits_dict.so")
set(ARTG4TK_DATAPRODUCTS_G4MODELCONFIG "$ENV{ARTG4TK_LIB}/libartg4tk_DataProducts_G4ModelConfig.so")
set(ARTG4TK_DATAPRODUCTS_G4MODELCONFIG_DICT "$ENV{ARTG4TK_LIB}/libartg4tk_DataProducts_G4ModelConfig_dict.so")
set(ARTG4TK_EVENTGENERATORS_EVENTGENERATOR_MODULE "$ENV{ARTG4TK_LIB}/libartg4tk_EventGenerators_EventGenerator_module.so")
set(ARTG4TK_GEANTINIT "$ENV{ARTG4TK_LIB}/libartg4tk_geantInit.so")
set(ARTG4TK_PLUGINACTIONS_GENERAL_EXAMPLEGENERALACTION_SERVICE "$ENV{ARTG4TK_LIB}/libartg4tk_pluginActions_general_ExampleGeneralAction_service.so")
set(ARTG4TK_PLUGINACTIONS_MYKILLER_KILLERACTION_SERVICE "$ENV{ARTG4TK_LIB}/libartg4tk_pluginActions_myKiller_KillerAction_service.so")
set(ARTG4TK_PLUGINACTIONS_MYPARTICLEGUN_HEPEVTINPUTACTION_SERVICE "$ENV{ARTG4TK_LIB}/libartg4tk_pluginActions_myparticleGun_HepevtInputAction_service.so")
set(ARTG4TK_PLUGINACTIONS_MYPARTICLEGUN_MYPARTICLEGUNACTION_SERVICE "$ENV{ARTG4TK_LIB}/libartg4tk_pluginActions_myparticleGun_myParticleGunAction_service.so")
set(ARTG4TK_PLUGINACTIONS_PHYSICSLIST_PHYSICSLIST_SERVICE "$ENV{ARTG4TK_LIB}/libartg4tk_pluginActions_physicsList_PhysicsList_service.so")
set(ARTG4TK_PLUGINACTIONS_PRIMARYEVENT_PRIMARYEVENTACTION_SERVICE "$ENV{ARTG4TK_LIB}/libartg4tk_pluginActions_PrimaryEvent_PrimaryEventAction_service.so")
set(ARTG4TK_PLUGINDETECTORS_GDML "$ENV{ARTG4TK_LIB}/libartg4tk_pluginDetectors_gdml.so")
set(ARTG4TK_PLUGINDETECTORS_GDML_GDMLDETECTOR_SERVICE "$ENV{ARTG4TK_LIB}/libartg4tk_pluginDetectors_gdml_GDMLDetector_service.so")
set(ARTG4TK_PLUGINDETECTORS_GDML_DICT "$ENV{ARTG4TK_LIB}/libartg4tk_pluginDetectors_gdml_dict.so")
set(ARTG4TK_SERVICES_ACTIONHOLDER_SERVICE "$ENV{ARTG4TK_LIB}/libartg4tk_services_ActionHolder_service.so")
set(ARTG4TK_SERVICES_DETECTORHOLDER_SERVICE "$ENV{ARTG4TK_LIB}/libartg4tk_services_DetectorHolder_service.so")
set(ARTG4TK_SERVICES_DUMMY_SERVICE "$ENV{ARTG4TK_LIB}/libartg4tk_services_Dummy_service.so")
set(ARTG4TK_SERVICES_PHYSICSLISTHOLDER_SERVICE "$ENV{ARTG4TK_LIB}/libartg4tk_services_PhysicsListHolder_service.so")
set(ARTG4TK_SERVICES_RUNSETTINGS_SERVICE "$ENV{ARTG4TK_LIB}/libartg4tk_services_RunSettings_service.so")
set(ARTG4TK_UTIL "$ENV{ARTG4TK_LIB}/libartg4tk_util.so")
  include_directories ( "$ENV{ARTG4TK_INC}" )

check_required_components(artg4tk)

